Ask Your Question
1

Upgrade to Fedora18

asked 2013-01-16 11:30:25 -0500

lakshmipathi gravatar image

updated 2013-01-16 12:20:20 -0500

Im following this guide to upgrade to f18. https://fedoraproject.org/wiki/UpgradingFedorausingyum#Fedora17-.3EFedora_18

After downloading 1.3GB it fails like

(1864/1869): zd1211-firmware-1.4-7.fc18.noarch.rpm                                                                                                       |  23 kB     00:00     
(1865/1869): zenity-3.6.0-1.fc18.x86_64.rpm                                                                                                              | 3.4 MB     00:20     
(1866/1869): zip-3.0-5.fc18.x86_64.rpm                                                                                                                   | 261 kB     00:01     
(1867/1869): zlib-1.2.7-9.fc18.x86_64.rpm                                                                                                                |  88 kB     00:00     
(1868/1869): zvbi-0.2.33-14.fc18.x86_64.rpm                                                                                                              | 391 kB     00:01     
(1869/1869): zziplib-0.13.60-2.fc18.x86_64.rpm                                                                                                           |  80 kB     00:00     
Total                                                                                                                                           176 kB/s | 1.3 GB    133:54     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-18-x86_64


GPG key retrieval failed: [Errno 14] Could not open/read file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-18-x86_64

How to resolve this issue ? Do i need to download the files again?

EDIT: Yes fergatron,I don't need to download it again with that option.But now I get

>  Is this ok [y/N]: y Downloading
> Packages: Running Transaction Check
> Running Transaction Test
> 
> 
> Transaction Check Error:   file
> /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyc
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyo
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyc
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyc
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyc
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyc
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyo
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyo
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyo
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyo
> from install of
> python-django-1.4.3-1.fc18.noarch
> conflicts with file from package
> Django-1.4.3-1.fc17.noarch   file
> /usr/lib/python2.7/site-packages/django_extra_form_fields-0.0.1-py2.7.egg-info/PKG-INFO
> from install of
> python-django-extra-form-fields-0.0.1-5.fc18.noarch conflicts with file from package
> django-extra-form-fields-0.0.1-2.fc17.noarch   file
> /usr ...
(more)
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-01-16 12:01:12 -0500

fergatron gravatar image

updated 2013-01-16 12:07:28 -0500

It might have been a glitch. Run the command again. From my experience it doesn't download the files again. If you run into the same error add --nogpgcheck to the command.

I just saw that the key missing is related to RPMFusion. You can find their keys at http://rpmfusion.org/keys.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-01-16 11:30:25 -0500

Seen: 2,578 times

Last updated: Jan 16 '13